Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7487 - The kmod script doesn't check to see if /proc/modules exist
Summary: The kmod script doesn't check to see if /proc/modules exist
Keywords:
Status: CLOSED DUPLICATE of bug 5824
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: modutils
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 17:28 UTC by vjanelle
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 10:37:35 UTC


Attachments (Terms of Use)

Description vjanelle 1999-12-01 17:28:22 UTC
Most of our webservers do not have module support compiled it.  It slows
things down for some cases, and is a security risk.

I've noticed however that on the redhat based machines, there is an
excessive amount of email because the /etc/cron.d/kmod script does not
check for the existance of /proc/modules before executing.

Its 2 lines that need to be added to the script, and would most likely be
better run out of /etc/cron.hourly.

Comment 1 Keith Owens 1999-12-04 00:21:59 UTC
Fixed in modutils 2.3.7.

Comment 2 Cristian Gafton 2000-01-04 22:29:59 UTC
Assigned to dledford

Comment 3 Bernhard Rosenkraenzer 2000-02-17 10:37:59 UTC
*** This bug has been marked as a duplicate of 5824 ***


Note You need to log in before you can comment on or make changes to this bug.